Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454481 - Double Click Title bar to maximize will hang the session
Summary: Double Click Title bar to maximize will hang the session
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 18:53 UTC by Gregory Fowler
Modified: 2014-06-18 09:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:27:40 UTC


Attachments (Terms of Use)
sysreport (deleted)
2008-07-08 18:53 UTC, Gregory Fowler
no flags Details

Description Gregory Fowler 2008-07-08 18:53:05 UTC
Description of problem:
When resizing a window by double clicking the titlebar, the X session hangs. No
KBD, MOUSE, must reboot.

Version-Release number of selected component (if applicable):
metacity-2.22.0-3.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1.Start X session
2.Open a gnome-terminal (or any windowed app)
3.Double click titlebar to maximize
  
Actual results:
Hang,  no input accepted from kbd, mouse

Expected results:
window is resized to maximum screen real estate

Additional info:
Laptop , latest updates as of July 8 2008
Maximize / Minimize buttons work but title bar double clicking causes hang.

Comment 1 Gregory Fowler 2008-07-08 18:53:05 UTC
Created attachment 311306 [details]
sysreport

Comment 2 Gregory Fowler 2008-07-08 21:25:38 UTC
If I use the button to maximize and the titlebar to un maximize it is OK.
Seems like the hang only occurs when double clicked to maximeze the window.

Comment 3 Bug Zapper 2009-06-10 01:59:10 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 16:27:40 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.